<!--
 Copyright © VNG Realisatie 2024
 Licensed under the EUPL
-->

{{ define "content" }}
    <div class="service-detail-page">
        <p>
            <a href="/services" class="button--link">
                {{ svg "icon-chevron-left" "icon--inline" }}
                {{ i18n "Back" }}
            </a>
        </p>

        <section class="service-detail-page__actions">
            <a
                href="/services/{{ .Service.Name }}/publish"
                class="button--primary"
            >
                {{ svg "icon-contracts" "icon--inline" }}
                {{ i18n "Publish" }}
            </a>
        </section>

        <section class="service-detail-page__section">
            <p class="service-detail-page__section-header">
                {{ svg "icon-link" "icon--inline" }}
                {{ i18n "Endpoint URL" }}
            </p>

            <p class="contract-detail-page__section-content">
                {{ .Service.EndpointURL }}
            </p>

            <p class="service-detail-page__section-header">
                {{ svg "icon-inway" "icon--inline" }}
                {{ i18n "Inway address" }}
            </p>

            <p class="service-detail-page__section-content">
                {{ .Service.InwayAddress }}
            </p>

            <p>
                <a
                    href="/services/{{ .Service.Name }}/edit"
                    class="button--secondary"
                >
                    {{ svg "icon-pencil" "icon--inline" }}
                    {{ i18n "Edit" }}
                </a>
            </p>
        </section>

        <div class="collapsible-container">
            <details class="collapsible">
                <summary class="collapsible__header">
                    <span>
                        {{ svg "icon-eye-line" "icon--inline icon-prefix" }}
                        {{ i18n "Publication in Directory" }}
                        <span class="amount"
                            >{{ len .Service.Publications }}</span
                        >
                    </span>
                    {{ svg "icon-chevron-down" "icon--inline icon-collapsible" }}
                </summary>

                <div class="collapsible__content">
                    {{ if eq (len .Service.Publications) 0 }}
                        <p>
                            <small
                                >{{ i18n "There are no contracts with a (Delegated) Service Publication Grant present for this Service." }}</small
                            >
                        </p>
                    {{ end }}

                    {{ range .Service.Publications }}
                        <div
                            class="service-detail-page__contract"
                            title="{{ .State }}"
                        >
                            {{ block "contract-status" . }}{{ end }}


                            <p
                                class="service-detail-page__contract-details"
                                hx-boost
                            >
                                <a href="/contract/{{ .ContractContentHash }}"
                                    >{{ .Title }}</a
                                ><br />
                                {{ i18n "From" }}
                                <time datetime="{{ .ValidFrom }}">
                                    {{ .ValidFrom }}
                                </time>
                                {{ i18n "until" }}
                                <time datetime="{{ .ValidUntil }}">
                                    {{ .ValidUntil }} </time
                                ><br />
                                <small
                                    >{{ i18n "Created at" }}
                                    <time datetime="{{ .CreatedAt }}">
                                        {{ .CreatedAt }}
                                    </time>
                                </small>
                            </p>
                        </div>
                    {{ end }}
                </div>
            </details>

            <details class="collapsible">
                <summary class="collapsible__header">
                    <span>
                        {{ svg "icon-key-line" "icon--inline icon-prefix" }}
                        {{ i18n "Access to this Service" }}
                        <span class="amount"
                            >{{ len .Service.IncomingConnections }}</span
                        >
                    </span>
                    {{ svg "icon-chevron-down" "icon--inline icon-collapsible" }}
                </summary>

                <div class="collapsible__content">
                    {{ if eq (len .Service.IncomingConnections) 0 }}
                        <p>
                            <small
                                >{{ i18n "There are no contracts with a (Delegated) Service Connection Grant present for this Service." }}</small
                            >
                        </p>
                    {{ end }}

                    {{ range .Service.IncomingConnections }}
                        <div
                            class="service-detail-page__contract"
                            title="{{ .State }}"
                        >
                            {{ block "contract-status" . }}{{ end }}


                            <p
                                class="service-detail-page__contract-details"
                                hx-boost
                            >
                                <a href="/contract/{{ .ContractContentHash }}"
                                    >{{ .Title }}</a
                                ><br />
                                {{ i18n "From" }}
                                <time datetime="{{ .ValidFrom }}">
                                    {{ .ValidFrom }}
                                </time>
                                {{ i18n "until" }}
                                <time datetime="{{ .ValidUntil }}">
                                    {{ .ValidUntil }} </time
                                ><br />
                                <small
                                    >{{ i18n "Created at" }}
                                    <time datetime="{{ .CreatedAt }}">
                                        {{ .CreatedAt }}
                                    </time>
                                </small>
                            </p>
                        </div>
                    {{ end }}
                </div>
            </details>
        </div>
    </div>
{{ end }}
